
Foreman - Bug #2507

fact importer fails

05/20/2013 07:19 AM - Ohad Levy

Status: Closed   

Priority: High   

Assignee:    

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

since 991cd8ae19 i see the following in the logs:

FactName(#69884217724060) expected, got Fixnum(#69884320844400)

further inspect of the code reveals this method is full with logic that do not make sense, I think its best to look at it before the 1.2

release.

Related issues:

Related to Foreman - Bug #2498: Reports yaml import is very slow Closed 05/15/2013

Associated revisions

Revision 136f8dfc - 05/22/2013 11:02 AM - Dmitri Dolguikh 

fixes #2509, fixes #2507: few issues around Host::Base#merge_facts and fact names

Revision b365f0a9 - 05/23/2013 04:01 AM - Dmitri Dolguikh 

fixes #2509, fixes #2507: few issues around Host::Base#merge_facts and fact names

(cherry picked from commit 136f8dfcb3bbe9a816a265efe619ede33cad0a94)

History

#1 - 05/21/2013 08:22 AM - Ohad Levy

- Assignee set to Anonymous

https://github.com/theforeman/foreman/pull/625

#2 - 05/22/2013 11:10 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 136f8dfcb3bbe9a816a265efe619ede33cad0a94.
